----------------------------
-- Global Sphere Settings --
----------------------------
local AddOnName, nsVars = ...
local ss = nsVars.SS
local ssGlobal = ss.dVars.global

local cos, sin = cos, sin

ssGlobal["characters"] = {};

-- global customizable defaults
ssGlobal["general"] = {
  ["SphereSize"] = 150,
  ["autoScale"] = true,
  ["minUiScale"] = 0.64,
  ["eyefinity"] = false,
  ["smallerWorldMap"] = true,
  ["fadeMapWhenMoving"] = true,
  ["mapAlphaWhenMoving"] = 0.35,
  ["MapMarker"] = {
    ["locationAngle"] = 45,
    ["x"] = 52-(80*cos(45)),
    ["y"] = ((80*sin(45))-52),
    ["show"] = true,
  },
  ["disableTutorialButtons"] = true,
  ["animateConfig"] = true,
  ["disableOrderHallBar"] = true,
  ["scale"] = 100,
  ["fontSize"] = 12,
  ["smoothing"] = true,
  ["deletedProfiles"] = {},
};

ssGlobal["track"] = {
  ["combat"] = true,
  ["pet"] = true,
};

ssGlobal["show"] = {
  ["playerFrame"] = false,
  ["artwork"] = true,
};

ssGlobal["unitframe"] = {
  ["aurafilters"] = {},
  ["buffwatch"] = {},
};
